tbb::flow::interface9::opencl_factory< DeviceFilter > Class Template Reference

## Classes

class | kernel

## Public Types

template<typename T >
using | async_msg_type = dependency_msg< T, opencl_factory< DeviceFilter >>
typedef opencl_device | device_type
typedef kernel | kernel_type
typedef opencl_range | range_type

## Public Member Functions

| opencl_factory (opencl_graph &g)
bool | init (const opencl_device_list &device_list)
template<typename... Args>
void | send_kernel (opencl_device device, const kernel_type &kernel, const range_type &work_size, Args &...args)
template<typename T , typename... Rest>
void | send_data (opencl_device device, T &t, Rest &...args)
void | send_data (opencl_device)
template<typename FinalizeFn , typename... Args>
void | finalize (opencl_device device, FinalizeFn fn, Args &...args)
const opencl_device_list & | devices ()

## Friends

template<typename Factory >
class | opencl_program
template<typename Factory >
class | opencl_buffer_impl
template<typename Factory >
class | opencl_memory

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.